%Content-Type: text/plain; charset=us-ascii;
% name="panm.cls"
%Content-Transfer-Encoding: 7bit
%Content-Disposition: inline;
% filename="panm.cls"

\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{panm}
\LoadClass[12pt,a4paper,twoside]{article}
\RequirePackage{a4}
\RequirePackage{color}
\definecolor{im1}{RGB}{0, 3, 146}  % dark blue
\RequirePackage{hyperref}
\hypersetup{
    bookmarks=true,        % show bookmarks bar?
    unicode=true,          % non-Latin characters in Acrobat’s bookmarks
    pdfnewwindow=true,     % links in new PDF window
    colorlinks=true,       % false: boxed links; true: colored links
    linkcolor=im1,         % color of internal links (change box color with linkbordercolor)
    citecolor=im1,         % color of links to bibliography
    filecolor=black,       % color of file links
    urlcolor=im1           % color of external links
}

\renewcommand*{\abstract}[1]{\renewcommand*{\@abstract}{#1}}
\newcommand*{\@abstract}{\mbox{}}
\@onlypreamble{\abstract}

\newcommand*{\keywords}[1]{\renewcommand*{\@keywords}{#1}}
\newcommand*{\@keywords}{\mbox{}}
\@onlypreamble{\keywords}

\newcommand*{\MSC}[1]{\renewcommand*{\@MSC}{#1}}
\newcommand*{\@MSC}{\mbox{}}
\@onlypreamble{\MSC}

\newcommand*{\doi}[1]{\renewcommand*{\@doi}{\href{http://dx.doi.org/#1}{DOI: #1}}}
%\newcommand*{\doi}[1]{\renewcommand*{\@doi}{\url{http://dx.doi.org/#1}}}
\newcommand*{\@doi}{\mbox{}}
\@onlypreamble{\doi}


%    \oddsidemargin -10 pt      %   Left margin on odd-numbered pages.
%    \evensidemargin 10 pt      %   Left margin on even-numbered pages.
%\advance\oddsidemargin5mm
%\advance\evensidemargin5mm
    \marginparwidth 1 in       %   Width of marginal notes.
%    \oddsidemargin 0 in      %   Note that \oddsidemargin = \evensidemargin
%    \evensidemargin 0 in
\oddsidemargin 3.5mm
\evensidemargin\oddsidemargin
    \marginparwidth 0.75 in

\textwidth151mm

%\def\ps@plain{\let\@mkboth\@gobbletwo
%     \let\@oddhead\@empty\def\@oddfoot{\reset@font\hfil\thepage}%
%     \let\@evenhead\@empty\def\@evenfoot{\reset@font\thepage\hfil}}
\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {3ex \@plus 1ex \@minus .2ex}%
                                   {.8ex \@plus.2ex}%
                                   {\normalfont\normalsize\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {2ex\@plus .5ex \@minus .2ex}%
                                     {.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {1.5ex\@plus .5ex \@minus .2ex}%
                                     {.5ex \@plus .2ex}%
                                     {\normalfont\normalsize\bfseries}}
%\renewcommand \thesection {\@arabic\c@section}
%\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
%\renewcommand\thesubsubsection{\thesubsection .\@arabic\c@subsubsection}
\def\@seccntformat#1{\csname the#1\endcsname.\ }
\let\@thmcountersep.  %\empty


%   \renewenvironment{abstract}{%
% 	\vspace{-1.5em}
%         \small
% 	\fontsize\@xpt{12}\selectfont %% zmensi pismo
%         \begin{center}%
%           {\bfseries \abstractname\vspace{-.5em}\vspace{\z@}}%
%         \end{center}%
%         \quotation
%       }{\endquotation}            
      
\def\@maketitle{%
  \newpage
  \begin{flushright}%
  {  \scriptsize
     {\it Programs and Algorithms of Numerical Mathematics~22} \\
     J.~Chleboun, J.~Pape\v{z}, M.~Rozlo{\v z}n{\'\i}k, K.~Segeth, J.~{\v S}{\'\i}stek, T.~Vejchodsk\'{y} (Eds.) \\
     Institute of Mathematics CAS, Prague 2024\\
  }
  \vspace{-24pt}
  \end{flushright}%
  \vskip 10mm%
  \begin{center}%
    {\bfseries\expandafter\uppercase\expandafter{\@title} \par}%
    \vskip 1.5em%
    \@author
  \end{center}%
  \par
  \vskip 1.5em
  \quotation
  \small
  \noindent {\bfseries Abstract:} \@abstract
  {\let\thefootnote\relax\footnotetext{\@doi}}
  \par
  \smallskip%\vskip 0.5em  
  \noindent {\bfseries Keywords:} \@keywords
  \par
  \smallskip%\vskip 1.5em  
  \noindent {\bfseries MSC:} \@MSC
  \endquotation
}
% konec
